"use client";
import { jsx as c, jsxs as i } from "react/jsx-runtime";
import { $createQuoteNode as n } from "../../../../../node_modules/@lexical/rich-text/LexicalRichText.prod.js";
import { $setBlocksType as s } from "../../../../../node_modules/@lexical/selection/LexicalSelection.prod.js";
import { $getSelection as a } from "../../../../../node_modules/lexical/Lexical.prod.js";
import { useToolbarContext as l } from "../../../context/toolbar-context.js";
import { blockTypeToBlockName as o } from "./block-format-data.js";
import { SelectItem as f } from "../../../../ui/select.js";
const t = "quote";
function Q() {
  const { activeEditor: e, blockType: r } = l();
  return /* @__PURE__ */ c(f, { value: "quote", onPointerDown: () => {
    r !== "quote" && e.update(() => {
      const m = a();
      s(m, () => n());
    });
  }, children: /* @__PURE__ */ i("div", { className: "flex items-center gap-1 font-normal", children: [
    o[t].icon,
    o[t].label
  ] }) });
}
export {
  Q as FormatQuote
};
